Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019118
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajorhave not tried2011-11-21 12:202011-11-30 22:16
ReportermarvintmView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in Version3.0MP6
StatusclosedFix in branchFixed in SCM revision981f72e0f464
ProjectionnoneETAnoneTarget Version3.0MP6
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019118: Allow the usage of a menu tree defined at role level

DescriptionThere is currently an ad_tree_id column at role level. This column was designed to specify different menu trees for different roles. However, the column is currently not used.

This feature request consists in using the defined tree in the role, if it exists, to build the main application tree.

The ability to set this tree in the UI is not considered. Only automatic processes will be able to set this tree for now.
Steps To Reproduce .
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0043005)
hgbot (developer)
2011-11-21 12:37

Repository: erp/devel/pi
Changeset: 1936b3a14f825a37a3a2d666d083cda448294ee8
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Nov 21 12:21:53 2011 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/1936b3a14f825a37a3a2d666d083cda448294ee8 [^]

Fixed issue 19118. If the current role has a defined menu tree, it will be used to build the main application tree.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/MenuManager.java
---
(0043006)
hgbot (developer)
2011-11-21 12:38

Repository: erp/devel/pi
Changeset: 981f72e0f46417f51acaf17834eeea5a4f11bfe1
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Nov 21 12:32:20 2011 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/981f72e0f46417f51acaf17834eeea5a4f11bfe1 [^]

Fixed issue 19118. Window will be usable in System Admin role

---
M src-db/database/sourcedata/AD_TABLE.xml
---
(0043058)
hudsonbot (developer)
2011-11-22 03:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ebd713dfe507 [^]

Maturity status: Test
(0043059)
hudsonbot (developer)
2011-11-22 03:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ebd713dfe507 [^]

Maturity status: Test
(0043427)
alostale (developer)
2011-11-30 12:14

reviewed at pi@1fac7a8950d1

*Code review:
 -Small style issue: do not use query to obtain a object by id (https://code.openbravo.com/erp/devel/pi/rev/1936b3a14f825a37a3a2d666d083cda448294ee8#l1.22 [^])
*Executed test:
  -Create a new menu tree adding tree nodes and assign it to a role (all of this directly in DB), check this menu is used.
*Regression test:
Before this fix, in case more than one tree of menu type exited in AD, any of them was taken for the menu. Which resulted in unexpected behavior. Now, it is used only in case the new menu tree is assigned to a role.
The perceived regression could be in case there were more than one tree menu and a role had assigned one of them, in case (by chance) the standard menu was taken, from now on this role will be using the menu it had assigned. If this is not what it is wanted it would be necessary to reset ad_role.ad_tree_menu_id for that role.
(0043575)
hgbot (developer)
2011-11-30 13:03

Repository: erp/devel/pi
Changeset: 0f3522ee917ff499ee2174e0e658bc4502a6c56b
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Nov 30 13:03:04 2011 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0f3522ee917ff499ee2174e0e658bc4502a6c56b [^]

Related to issue 19118. Improved statement.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/MenuManager.java
---
(0043612)
hudsonbot (developer)
2011-11-30 22:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/598bceb6e1a9 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-11-21 12:20 marvintm New Issue
2011-11-21 12:20 marvintm Assigned To => marvintm
2011-11-21 12:20 marvintm Modules => Core
2011-11-21 12:37 hgbot Checkin
2011-11-21 12:37 hgbot Note Added: 0043005
2011-11-21 12:37 hgbot Status new => resolved
2011-11-21 12:37 hgbot Resolution open => fixed
2011-11-21 12:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1936b3a14f825a37a3a2d666d083cda448294ee8 [^]
2011-11-21 12:38 hgbot Checkin
2011-11-21 12:38 hgbot Note Added: 0043006
2011-11-21 12:38 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/1936b3a14f825a37a3a2d666d083cda448294ee8 [^] => http://code.openbravo.com/erp/devel/pi/rev/981f72e0f46417f51acaf17834eeea5a4f11bfe1 [^]
2011-11-22 03:50 hudsonbot Checkin
2011-11-22 03:50 hudsonbot Note Added: 0043058
2011-11-22 03:50 hudsonbot Checkin
2011-11-22 03:50 hudsonbot Note Added: 0043059
2011-11-30 12:14 alostale Note Added: 0043427
2011-11-30 12:14 alostale Status resolved => closed
2011-11-30 12:14 alostale Fixed in Version => 3.0MP6
2011-11-30 13:03 hgbot Checkin
2011-11-30 13:03 hgbot Note Added: 0043575
2011-11-30 22:16 hudsonbot Checkin
2011-11-30 22:16 hudsonbot Note Added: 0043612


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker